Bug 1503609 - Review Request: argon2 - The password-hashing tools
Review Request: argon2 - The password-hashing tools
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Haïkel Guémar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-10-18 09:23 EDT by Remi Collet
Modified: 2017-11-10 21:56 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-11-10 21:56:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
karlthered: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2017-10-18 09:23:30 EDT
Spec URL: https://git.remirepo.net/cgit/rpms/lib/argon2.git/plain/argon2.spec?id=69fc25a0f28cd826e364e0464e24d499c9a91755
SRPM URL: http://rpms.remirepo.net/SRPMS/argon2-20161029-1.remi.src.rpm
Description: 
Argon2 is a password-hashing function that summarizes the state of the art
in the design of memory-hard functions and can be used to hash passwords
for credential storage, key derivation, or other applications.

It has a simple design aimed at the highest memory filling rate and
effective use of multiple computing units, while still providing defense
against tradeoff attacks (by exploiting the cache and memory organization
of the recent processors).

Argon2 has three variants: Argon2i, Argon2d, and Argon2id.

* Argon2d is faster and uses data-depending memory access, which makes it
  highly resistant against GPU cracking attacks and suitable for applications
  with no threats from side-channel timing attacks (eg. cryptocurrencies). 
* Argon2i instead uses data-independent memory access, which is preferred for
  password hashing and password-based key derivation, but it is slower as it
  makes more passes over the memory to protect from tradeoff attacks.
* Argon2id is a hybrid of Argon2i and Argon2d, using a combination of
  data-depending and data-independent memory accesses, which gives some of
  Argon2i's resistance to side-channel cache timing attacks and much of
  Argon2d's resistance to GPU cracking attacks.


Fedora Account System Username: remi


--

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=22523416
Comment 2 Haïkel Guémar 2017-10-18 09:57:22 EDT
Resulting packages argon2 and libargon2 needs to remove the following hidden directory /usr/lib/.build-id

I trust you to do that small cleanup, so I approve this package into Fedora Packages Collection as it
respects all the other criteria.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "CC0 (v1.0)", "Apache (v2.0) CC0 (v1.0)", "Unknown or
     generated". 42 files have unknown license. Detailed output of
     licensecheck in /home/hguemar/1503609-argon2/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[!]: Package does not own files or directories owned by other packages.

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: Uses parallel make %{?_smp_mflags} macro.
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     libargon2 , argon2-debuginfo , argon2-debugsource
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: argon2-20161029-1.fc28.x86_64.rpm
          libargon2-20161029-1.fc28.x86_64.rpm
          libargon2-devel-20161029-1.fc28.x86_64.rpm
          argon2-debuginfo-20161029-1.fc28.x86_64.rpm
          argon2-debugsource-20161029-1.fc28.x86_64.rpm
          argon2-20161029-1.fc28.src.rpm
argon2.x86_64: W: spelling-error %description -l en_US tradeoff -> trade off, trade-off, trader
argon2.x86_64: W: spelling-error %description -l en_US eg -> eh, e, g
argon2.x86_64: W: spelling-error %description -l en_US cryptocurrencies -> currencies
argon2.x86_64: W: only-non-binary-in-usr-lib
argon2.x86_64: W: no-documentation
argon2.x86_64: W: no-manual-page-for-binary argon2
libargon2.x86_64: W: no-documentation
libargon2-devel.x86_64: W: only-non-binary-in-usr-lib
argon2-debugsource.x86_64: W: no-documentation
argon2.src: W: spelling-error %description -l en_US tradeoff -> trade off, trade-off, trader
argon2.src: W: spelling-error %description -l en_US eg -> eh, e, g
argon2.src: W: spelling-error %description -l en_US cryptocurrencies -> currencies
6 packages and 0 specfiles checked; 0 errors, 12 warnings.




Rpmlint (debuginfo)
-------------------
Checking: argon2-debuginfo-20161029-1.fc28.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
argon2-debugsource.x86_64: W: invalid-url URL: https://github.com/P-H-C/phc-winner-argon2 <urlopen error [Errno -2] Name or service not known>
argon2-debugsource.x86_64: W: no-documentation
argon2.x86_64: W: spelling-error %description -l en_US tradeoff -> trade off, trade-off, trader
argon2.x86_64: W: spelling-error %description -l en_US eg -> eh, e, g
argon2.x86_64: W: spelling-error %description -l en_US cryptocurrencies -> currencies
argon2.x86_64: W: invalid-url URL: https://github.com/P-H-C/phc-winner-argon2 <urlopen error [Errno -2] Name or service not known>
argon2.x86_64: W: only-non-binary-in-usr-lib
argon2.x86_64: W: no-documentation
argon2.x86_64: W: no-manual-page-for-binary argon2
libargon2.x86_64: W: invalid-url URL: https://github.com/P-H-C/phc-winner-argon2 <urlopen error [Errno -2] Name or service not known>
libargon2.x86_64: W: no-documentation
libargon2-devel.x86_64: W: invalid-url URL: https://github.com/P-H-C/phc-winner-argon2 <urlopen error [Errno -2] Name or service not known>
libargon2-devel.x86_64: W: only-non-binary-in-usr-lib
argon2-debuginfo.x86_64: W: invalid-url URL: https://github.com/P-H-C/phc-winner-argon2 <urlopen error [Errno -2] Name or service not known>
5 packages and 0 specfiles checked; 0 errors, 14 warnings.



Requires
--------
argon2-debugsource (rpmlib, GLIBC filtered):

argon2 (rpmlib, GLIBC filtered):
    libargon2(x86-64)
    libc.so.6()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)

libargon2 (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)

libargon2-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libargon2(x86-64)
    libargon2.so.0()(64bit)

argon2-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
argon2-debugsource:
    argon2-debugsource
    argon2-debugsource(x86-64)

argon2:
    argon2
    argon2(x86-64)

libargon2:
    libargon2
    libargon2(x86-64)
    libargon2.so.0()(64bit)

libargon2-devel:
    libargon2-devel
    libargon2-devel(x86-64)
    pkgconfig(libargon2)

argon2-debuginfo:
    argon2-debuginfo
    argon2-debuginfo(x86-64)
    debuginfo(build-id)



Source checksums
----------------
https://github.com/P-H-C/phc-winner-argon2/archive/1c4fc41f81f358283755eea88d4ecd05e43b7fd3/phc-winner-argon2-20161029-1c4fc41.tar.gz :
  CHECKSUM(SHA256) this package     : 4ef1f9b0bd43586f26f8b8b5ebc8503e5c90a671a6ce2a8e80b0212b62e5195a
  CHECKSUM(SHA256) upstream package : 4ef1f9b0bd43586f26f8b8b5ebc8503e5c90a671a6ce2a8e80b0212b62e5195a


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1503609 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 3 Haïkel Guémar 2017-10-18 10:01:58 EDT
Ok, seems that I was not aware of the latest debuginfo changes :)
Forget what I said, all is good!
Comment 4 Remi Collet 2017-10-18 10:02:33 EDT
> Resulting packages argon2 and libargon2 needs to remove the following hidden directory /usr/lib/.build-id

AFAIK, this is expected, for https://gnu.wildebeest.org/blog/mjw/2017/06/30/fedora-rpm-debuginfo-improvements-for-rawhidef27/

btw, THANKS for the quick review
Comment 6 Gwyn Ciesla 2017-10-18 10:16:45 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/argon2
Comment 7 Fedora Update System 2017-10-18 11:42:31 EDT
argon2-20161029-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f4a5530602
Comment 8 Fedora Update System 2017-10-19 11:22:59 EDT
argon2-20161029-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f4a5530602
Comment 9 Fedora Update System 2017-11-10 21:56:49 EST
argon2-20161029-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.